Subject: [netlmm] Quesion on draft-ietf-netlmm-proxymip6-07

From: "Fan Zhao" <[email-masked]>
Date: Fri, 9 Nov 2007 09:44:54 -0800

Dear wg draft authors,

Thanks for your efforts and excellent work.

I have a question regarding the case where the UE has multiple
interfaces

and performs handovers.

The current text in "5.4.  Multihoming Support"

Mobile Node Interface Identifier Option present in the request:

...

   o  If there does not exist a Binding Cache entry and if the Handoff

      Indicator flag in the Access Technology Type option present in the

      received Proxy Binding Update message is set to value 4 (Handoff

      state unknown), the local mobility anchor SHOULD wait till the

      existing Binding Cache entry is de-registered by the previously

      serving mobile access gateway.  However, if there is no de-

      registration message that is received within a given time, the

      local mobility anchor upon accepting the request MUST assign a new

      home network prefix and create a new Binding Cache entry.  The

      local mobility anchor MAY also choose to assign a new home network

      prefix and without waiting for a de-registration message.

....

Given a MN with four interfaces, i1 ... i4, i1 and i2 attach to mag1 and
mag2,

and both connect to the same lma. Almost at the same time, the MN wants
to

handover the sessions on i1 to i3 and those on i2 to i4. And assume i3
and i4

attach to mag3 and mag4, both mag set handoff flag to be "no info".
Given the 

different characteristics of link mag1-lma and mag2-lma, the lma may
receive

the de-reg message either from i1 or from i2 firstly, therefore it is
possible

the sessions are handovered from i1 to i4 and from i2 to i3. Although
the session

Continuity can be provided; the result may be not desirable from the
user's point of view.

Furthermore in the case that the two mobile terminals use the same MN_ID
but different

interfaces, the session continuity is not provided. Similar problems can
happen

during simultaneously detach/attach/handover.

So I think it should be like other two cases above, when the handoff
flag is set to be

4, the LMA also checks if there are multiple entries associated with
MN_ID and

checks if the HNP (if HNP can be provided correctly) matches with any
entry.

BR,

fan zhao

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Fri, 9 Nov 2007 10:17:27 -0800 (PST)

> Continuity can be provided; the result may be not desirable from the

The scenario appears to be too complex. I wonder about the practicality
of this scenario.

> Furthermore in the case that the two mobile terminals use the same MN_ID

MN_ID uniqueness in a PMIP6 domain is the base protocol requirement.

Thanks
Sri

---

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 09 Nov 2007 11:01:13 -0800

Fan Zhao wrote:
> I have a question regarding the case where the UE has multiple interfaces
> 
> and performs handovers.
> 
>  
> 
> and both connect to the same lma. Almost at the same time, the MN wants to
> 
> different characteristics of link mag1-lma and mag2-lma, the lma may receive
> 

This can be done only if the MAG2 includes i1 information in the
PBU for i3 attachment and i2 information in the PBU for i4 attachment.
And it would require the mobile node telling MAG2 which interface is
being handed off to which interface.

Vijay

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 13 Nov 2007 00:57:04 -0600

Hi Fan,
 
IMO, I believe that at any time the HNP is included in a P-BU where a
BCE exist at the LMA with the same MN-ID and HNP and the P-BU has a CoA
different than the one already saved in the MN BCE, LMA SHOULD consider
this as handoff regardless of the handoff indicator and update the BCE
with the new information as per the P-BU message, especially to
assign/maintain the same HNP.

Regards, 
Ahmad 

________________________________

	From: Fan Zhao [mailto:[email-masked]] 
	Sent: Friday, November 09, 2007 11:45 AM
	To: [email-masked]
	Subject: [netlmm] Quesion on draft-ietf-netlmm-proxymip6-07

	Dear wg draft authors,

	and performs handovers.

	...

	   o  If there does not exist a Binding Cache entry and if the
Handoff

	      Indicator flag in the Access Technology Type option
present in the

	      received Proxy Binding Update message is set to value 4
(Handoff

	      state unknown), the local mobility anchor SHOULD wait till
the

	      existing Binding Cache entry is de-registered by the
previously

	      serving mobile access gateway.  However, if there is no
de-

	      registration message that is received within a given time,
the

	      local mobility anchor upon accepting the request MUST
assign a new

	      home network prefix and create a new Binding Cache entry.
The

	      local mobility anchor MAY also choose to assign a new home
network

	....

	Given a MN with four interfaces, i1 ... i4, i1 and i2 attach to
mag1 and mag2,

	and both connect to the same lma. Almost at the same time, the
MN wants to

	handover the sessions on i1 to i3 and those on i2 to i4. And
assume i3 and i4

	attach to mag3 and mag4, both mag set handoff flag to be "no
info". Given the 

	different characteristics of link mag1-lma and mag2-lma, the lma
may receive

	the de-reg message either from i1 or from i2 firstly, therefore
it is possible

	the sessions are handovered from i1 to i4 and from i2 to i3.
Although the session

	Continuity can be provided; the result may be not desirable from
the user's point of view.

	Furthermore in the case that the two mobile terminals use the
same MN_ID but different

	interfaces, the session continuity is not provided. Similar
problems can happen

	So I think it should be like other two cases above, when the
handoff flag is set to be

	4, the LMA also checks if there are multiple entries associated
with MN_ID and

	checks if the HNP (if HNP can be provided correctly) matches
with any entry.

	BR,

	fan zhao

---

From: "Fan Zhao" <[email-masked]>
Date: Tue, 13 Nov 2007 14:32:35 -0800

Hi Ahmad,
 
I agree with you. HNP should be given the higher priority when the LMA 
considers whether it is handover or multihoming.
 
Regards,
Fan

From: Ahmad Muhanna [mailto:[email-masked]]
Sent: Mon 11/12/2007 10:57 PM
To: Fan Zhao; [email-masked]
Subject: RE: [netlmm] Quesion on draft-ietf-netlmm-proxymip6-07

Hi Fan,
 
IMO, I believe that at any time the HNP is included in a P-BU where a BCE exist at the LMA with the same MN-ID and HNP and the P-BU has a CoA different than the one already saved in the MN BCE, LMA SHOULD consider this as handoff regardless of the handoff indicator and update the BCE with the new information as per the P-BU message, especially to assign/maintain the same HNP.

Regards, 
Ahmad 

	Dear wg draft authors,

	and performs handovers.

	...

	....

	Given a MN with four interfaces, i1 ... i4, i1 and i2 attach to mag1 and mag2,

	handover the sessions on i1 to i3 and those on i2 to i4. And assume i3 and i4

	attach to mag3 and mag4, both mag set handoff flag to be "no info". Given the 

	the de-reg message either from i1 or from i2 firstly, therefore it is possible

	the sessions are handovered from i1 to i4 and from i2 to i3. Although the session

	Continuity can be provided; the result may be not desirable from the user's point of view.

	Furthermore in the case that the two mobile terminals use the same MN_ID but different

	interfaces, the session continuity is not provided. Similar problems can happen

	So I think it should be like other two cases above, when the handoff flag is set to be

	4, the LMA also checks if there are multiple entries associated with MN_ID and

	checks if the HNP (if HNP can be provided correctly) matches with any entry.

	BR,

	fan zhao

---

From: Marco Liebsch <[email-masked]>
Date: Wed, 14 Nov 2007 11:16:40 +0100

Hi Fan, Ahmad,

I agree that the Handoff Indicator flag should not be the only
indication for the LMA to learn about the nature of a handover.
Alternatives should be possible, such as the presence of an HNP
in a PBU.

However, learning about the HNP at a new MAG during an inter-tech
handover is difficult without proactive context transfer. But if
this exists, it's possible. Regarding the specification, I think it
should just accept more indications at the LMA.

marco

Fan Zhao wrote:
> ------------------------------------------------------------------------
>